import React, { PureComponent } from 'react';
import { Tabs } from 'antd';
import Examination from './Examination';
import style from "styled-components";

const { TabPane } = Tabs;

export default class CoursewareLibraryManagement extends PureComponent {
  constructor(props, context) {
    super(props, context);
    this.state = {
      shows: [true] //各个 tab 内容是否显示，这里按需加载
    };
  }

  componentDidMount = () => {

  }
  render() {
    return (
      <Container>
        <Tabs>
          <TabPane tab="审批列表" key="1">
            {this.state.shows[0] && <Examination />}
          </TabPane>
        </Tabs>
      </Container>
    );
  }
}

const Container = style.div`
  padding:10px 24px 24px;
  width:100%;
  height:100%;
`;
